light-mode-image
Learn
CertificatesAPI Reference

Verification request signers

Create a Verification request signer

POST/v2/presentations/certificates/verifier-signers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request payload for creating a Verification request signer using an unmanaged (external) Verifier root CA certificate.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/presentations/certificates/verifier-signers" \  -H "Content-Type: application/json" \  -d '{    "caId": "24c00dcc-a2d5-4635-ba3f-14dcbc0a8ea3"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "csrPem": "string",  "caId": "24c00dcc-a2d5-4635-ba3f-14dcbc0a8ea3",  "active": false,  "caType": "mattr"}

Retrieve all Verification request signers

GET/v2/presentations/certificates/verifier-signers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/presentations/certificates/verifier-signers"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "caType": "mattr",      "active": true,      "certificatePem": "string",      "certificateFingerprint": "string",      "certificateData": {        "commonName": "string",        "country": "string",        "notAfter": "2019-08-24T14:15:22Z",        "notBefore": "2019-08-24T14:15:22Z",        "subjectAlternativeNames": [          {            "type": 0,            "value": "string"          }        ]      }    }  ],  "nextCursor": "string"}

Retrieve a Verification request signer

GET/v2/presentations/certificates/verifier-signers/{verifierSignerId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

verifierSignerId*string

Unique identifier of the Verification request signer.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/presentations/certificates/verifier-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "caType": "mattr",  "active": true,  "certificatePem": "string",  "certificateFingerprint": "string",  "certificateData": {    "commonName": "string",    "country": "string",    "notAfter": "2019-08-24T14:15:22Z",    "notBefore": "2019-08-24T14:15:22Z",    "subjectAlternativeNames": [      {        "type": 0,        "value": "string"      }    ]  }}

Update a Verification request signer

PUT/v2/presentations/certificates/verifier-signers/{verifierSignerId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

verifierSignerId*string

Unique identifier of the Verification request signer.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/presentations/certificates/verifier-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "active": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "caType": "mattr",  "active": true,  "certificatePem": "string",  "certificateFingerprint": "string",  "certificateData": {    "commonName": "string",    "country": "string",    "notAfter": "2019-08-24T14:15:22Z",    "notBefore": "2019-08-24T14:15:22Z",    "subjectAlternativeNames": [      {        "type": 0,        "value": "string"      }    ]  }}

Delete a Verification request signer

DELETE/v2/presentations/certificates/verifier-signers/{verifierSignerId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

verifierSignerId*string

Unique identifier of the Verification request signer.

Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v2/presentations/certificates/verifier-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

How would you rate this page?

Last updated on

On this page